JmolJDXMOLParser
Date: 2019-10-22

org.jmol.api

## Interface JmolJDXMOLParser

- All Known Implementing Classes:
    JDXMOLParser

      public interface JmolJDXMOLParser

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute(java.lang.String line, java.lang.String tag)`
    `java.lang.String` | `getRecord(java.lang.String key)`
    `javajs.util.Lst<java.lang.String[]>` | `readACDAssignments(int nPoints, boolean isPeakAssignment)`
    `java.lang.String` | `readACDMolFile()`
    `boolean` | `readModels()`
    `int` | `readPeaks(boolean isSignals, int peakCount)`
    `JmolJDXMOLParser` | `set(JmolJDXMOLReader loader, java.lang.String filePath, java.util.Map<java.lang.String,java.lang.Object> htParams)`
    `int` | `setACDAssignments(java.lang.String model, java.lang.String mytype, int peakCount, javajs.util.Lst<java.lang.String[]> acdlist, java.lang.String molFile)`
    `void` | `setLine(java.lang.String s)`

- - ### Method Detail

    - #### set

          JmolJDXMOLParser set(JmolJDXMOLReader loader,
                               java.lang.String filePath,
                               java.util.Map<java.lang.String,java.lang.Object> htParams)

    - #### getRecord

          java.lang.String getRecord(java.lang.String key)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getAttribute

          java.lang.String getAttribute(java.lang.String line,
                                        java.lang.String tag)

    - #### readModels

          boolean readModels()
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readPeaks

          int readPeaks(boolean isSignals,
                        int peakCount)
                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setLine

          void setLine(java.lang.String s)

    - #### readACDMolFile

          java.lang.String readACDMolFile()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readACDAssignments

          javajs.util.Lst<java.lang.String[]> readACDAssignments(int nPoints,
                                                                 boolean isPeakAssignment)
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setACDAssignments

          int setACDAssignments(java.lang.String model,
                                java.lang.String mytype,
                                int peakCount,
                                javajs.util.Lst<java.lang.String[]> acdlist,
                                java.lang.String molFile)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`